use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct ListMembersRequest {
  pub group_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct Member {
  pub id: i32,
  pub username: String,
  pub cash: i32,
  pub cash_bota: i32,
  pub nickname: String,
  pub site_username: String,
  pub group_key: Option<String>,
  pub oriental_play: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _ListMembersResponse {
  pub code: i32,
  pub msg: Option<String>,
  pub users: Vec<Member>,
}

#[derive(Debug)]
pub struct ListMembersResponse {
  pub users: Vec<Member>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveMemberRequest {
  pub username: String,
  pub nickname: String,
  pub site_username: String,
  pub group_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveMemberResponse {
  pub code: i32,
  pub msg: Option<String>,
  pub id: Option<i32>,
}
