use serde::{Deserialize, Serialize};

pub struct GetBalanceForUserRequest {
  pub username: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetBalanceForUserResponse {
  pub code: i32,
  pub msg: Option<String>,
  pub balance: i32,
  pub balance_bota: i32,
  pub balance_sum: i32,
  pub companies: i32,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetBalanceForUserResponse {
  pub balance: i32,
  pub balance_bota: i32,
  pub balance_sum: i32,
  pub companies: i32,
}

pub struct GetBalanceForPartnerRequest {}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetBalanceForPartnerResponse {
  pub code: i32,
  pub msg: Option<String>,
  pub balance: i32,
  pub balance_bota: i32,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetBalanceForPartnerResponse {
  pub balance: i32,
  pub balance_bota: i32,
}

pub struct SaveDepositRequest {
  pub username: String,
  pub cash_type: Option<String>,
  pub amount: i32,
  pub request_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveDepositResponse {
  pub code: i32,
  pub msg: Option<String>,
  pub balance: i32,
}

pub struct SaveWithdrawRequest {
  pub username: String,
  pub request_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveWithdrawResponse {
  pub code: i32,
  pub msg: Option<String>,
  pub balance: i32,
  pub balance_cash: i32,
  pub balance_cash_bota: i32,
  pub amount: i32,
}
