use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct Vendor {
  pub id: i32,
  pub company_id: i32,
  pub vendor_id: i32,
  pub max_bet_casino: i32,
  pub max_bet_slot: i32,
  pub is_enable: String,
  pub bet_count: i32,
  pub key: String,
  pub name: String,
  pub category: String,
}

pub struct ListVendorsRequest {}

#[derive(Serialize, Deserialize, Debug)]
pub struct _ListVendorsResponse {
  pub code: i32,
  pub msg: Option<String>,
  pub vendors: Vec<Vendor>,
}

#[derive(Debug)]
pub struct ListVendorsResponse {
  pub vendors: Vec<Vendor>,
}
