use super::schema::api_kgon_vendors;
use beteran_common_rust as bcr;

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "api_kgon_vendors"]
pub struct Vendor {
  ///
  pub id: i32,
  ///
  pub company_id: i32,
  ///
  pub vendor_id: i32,
  ///
  pub key: String,
  ///
  pub name: String,
  ///
  pub category: String,
  ///
  pub max_bet_casino: i32,
  ///
  pub max_bet_slot: i32,
  ///
  pub is_enable: String,
  ///
  pub bet_count: i32,
  ///
  pub created_at: i64,
  ///
  pub updated_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "api_kgon_vendors"]
pub struct NewVendor {
  ///
  pub id: i32,
  ///
  pub company_id: i32,
  ///
  pub vendor_id: i32,
  ///
  pub key: String,
  ///
  pub name: String,
  ///
  pub category: String,
  ///
  pub max_bet_casino: i32,
  ///
  pub max_bet_slot: i32,
  ///
  pub is_enable: String,
  ///
  pub bet_count: i32,
}

///
#[derive(AsChangeset, Debug, Clone)]
#[table_name = "api_kgon_vendors"]
pub struct ModifyVendor {
  ///
  pub company_id: i32,
  ///
  pub vendor_id: i32,
  ///
  pub key: String,
  ///
  pub name: String,
  ///
  pub category: String,
  ///
  pub max_bet_casino: i32,
  ///
  pub max_bet_slot: i32,
  ///
  pub is_enable: String,
  ///
  pub bet_count: i32,
}

///
#[derive(Insertable, AsChangeset, Debug, Clone)]
#[table_name = "api_kgon_vendors"]
pub struct UpsertVendor {
  ///
  pub id: i32,
  ///
  pub company_id: i32,
  ///
  pub vendor_id: i32,
  ///
  pub key: String,
  ///
  pub name: String,
  ///
  pub category: String,
  ///
  pub max_bet_casino: i32,
  ///
  pub max_bet_slot: i32,
  ///
  pub is_enable: String,
  ///
  pub bet_count: i32,
}

///
#[derive(Debug, Clone)]
pub struct FindAllSearch {
  ///
  pub company_id: Option<i32>,
  ///
  pub vendor_id: Option<i32>,
  ///
  pub key_like: Option<String>,
  ///
  pub name_like: Option<String>,
  ///
  pub category_like: Option<String>,
  ///
  pub is_enable: Option<String>,
}
///
#[derive(Debug, Clone)]
pub struct FindAll {
  pub search: Option<FindAllSearch>,
  ///
  pub pagination: Option<bcr::models::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::models::pagination::Sort>>,
}
